import { createApp } from 'vue'
import { createPinia } from 'pinia'
import './style.css'
import App from './App.vue'

// 导入路由配置
import router from './router'

// 导入动画效果初始化函数
import initAnimations from './plugins/animation'

// 导入SCSS样式
import './assets/scss/main.scss'

// 导入FontAwesome图标库
import '@fortawesome/fontawesome-free/css/all.min.css'


// 创建Pinia实例
const pinia = createPinia()

// 创建Vue应用实例
const app = createApp(App)

// 使用插件
app.use(router)
app.use(pinia)

// 初始化动画效果
initAnimations()

// 挂载应用
app.mount('#app')
